org.apache.ignite.cache.query

## Class CacheQueryEntryEvent<K,V>

- java.lang.Object
- - java.util.EventObject
  - - javax.cache.event.CacheEntryEvent<K,V>
    - - org.apache.ignite.cache.query.CacheQueryEntryEvent<K,V>

Type Parameters:
  `K` - The type of key.
  `V` - The type of value.

All Implemented Interfaces:
  Serializable, javax.cache.Cache.Entry<K,V>

Direct Known Subclasses:
  CacheContinuousQueryManager.CacheEntryEventImpl

    public abstract class CacheQueryEntryEvent<K,V>
    extends javax.cache.event.CacheEntryEvent<K,V>

A Cache continuous query entry event.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`CacheQueryEntryEvent(javax.cache.Cache src, javax.cache.event.EventType evtType)` Constructs a cache entry event from a given cache as source.

### Method Summary

Methods
`abstract long` `getPartitionUpdateCounter()` Each cache update increases partition counter.

### Methods inherited from class javax.cache.event.CacheEntryEvent

`getEventType, getOldValue, getSource, isOldValueAvailable`

### Methods inherited from class java.util.EventObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.cache.Cache.Entry

`getKey, getValue, unwrap`

### Constructor Detail

#### CacheQueryEntryEvent

    public CacheQueryEntryEvent(javax.cache.Cache src,
                        javax.cache.event.EventType evtType)

Constructs a cache entry event from a given cache as source.

Parameters:
  `src` - The cache that originated the event.
  `evtType` - Event type.

### Method Detail

#### getPartitionUpdateCounter

    public abstract long getPartitionUpdateCounter()

Each cache update increases partition counter. The same cache updates have on the same value of counter on primary and backup nodes. This value can be useful to communicate with external applications.

Returns:
  Value of counter for this event.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016